/*
 * 4inline test
 *
 * Copyright © 1998-2000, 2005 Guillem Jover <guillem@hadrons.org>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.
 *
 */

#include <stdio.h>

#include "player.h"
#include "rules.h"

int main(int argc, char **argv)
{
	Line *ln = alloc_line();
	int i;

	for (i = 1; i < 5; i++)
		ln->line[i] = PLAYER_POINT;
	ln->line[i] = '\0';
	ln->size = 6;

	printf("pattern: %s line: %s\n", win_pattern.text, ln->line);

	printf("winner ? %c\n", equ_pattern(PLAYER_ANY, &win_pattern, ln, 0));
	printf("winner ? %c\n", equ_pattern(PLAYER_ANY, &win_pattern, ln, 1));
	printf("winner ? %c\n", equ_pattern(PLAYER_ANY, &win_pattern, ln, 2));

	free_line(ln);

	return 0;
}

